Kann GLX Header nicht finden!

Dieses Thema im Forum "Mac OS X Entwickler, Programmierer" wurde erstellt von mdaniela, 28.04.2006.

  1. mdaniela

    mdaniela Thread Starter MacUser Mitglied

    Beiträge:
    16
    Zustimmungen:
    0
    Registriert seit:
    03.03.2006
    Hallo MacUser,

    möchte das gtk2 UserInterface installieren und da ich es unter Ruby anwenden möchte, muss ich auch das Ruby-Binding Gnome installieren. Leider bricht mir Terminal dabei die Installation ab, da der GLX Header nicht gefunden werden kann.

    ...
    checking for X11/Xmu/StdCmap.h... yes
    checking for Xmu/StdCmap.h... no
    checking for XmuLookupStandardColormap in -lXmu... yes
    checking GL/glx.h usability... no
    checking GL/glx.h presence... no
    checking for GL/glx.h... no
    configure: error: Cannot find GLX header

    Error: The following dependencies failed to build: gtkglext libgtkhtml gail ruby openssl readline

    Wär sehr froh, wenn mir jemand helfen könnte!
    dani
     
  2. oneOeight

    oneOeight MacUser Mitglied

    Beiträge:
    46.802
    Zustimmungen:
    3.631
    Registriert seit:
    23.11.2004
    also bei mir ist der unter /usr/X11R6/include/GL/glx.h
    hast du X11 installiert?
     
  3. mdaniela

    mdaniela Thread Starter MacUser Mitglied

    Beiträge:
    16
    Zustimmungen:
    0
    Registriert seit:
    03.03.2006
    Danke für die schnelle Antwort.

    Ich habe glx.h selbst auch schon gefunden, genauer Pfad:

    /developer/SDKs/MacOSX10.3.9.sdk/usr/X11R6/include/GL

    und nochmals unter

    /developer/SDKs/MacOSX10.4u.sdk/usr/X11R6/include/GL

    X11 müsste ja somit installiert sein. Deshalb versteh ich nicht, warum Terminal den Header nicht findet. Vielleicht ist noch folgende Fehlermeldung der Installation hilfreich:

    % sudo port install rb-gnome
    Password:
    ---> Configuring gtkglext
    Error: Target com.apple.configure returned: configure failure: shell command "cd "/opt/local/var/db/dports/build/_private_opt_local_var_db_dports_sources_rsync.rsync.darwinports.org_dpupdate_dports_devel_gtkglext/work/gtkglext-1.0.6" && ./configure --prefix=/opt/local" returned error 1
    Command output: checking for an ANSI C-conforming const... yes
    checking for stdlib.h... (cached) yes
    ...
     
  4. oneOeight

    oneOeight MacUser Mitglied

    Beiträge:
    46.802
    Zustimmungen:
    3.631
    Registriert seit:
    23.11.2004
    du scheinst X11 wirklich nicht installiert zu haben...
    configure findet das nicht, weil /Developer halt nicht in den standard-pfaden drin....
    du solltest X11 mal installieren, ohne X11 geht gnome nun mal nicht...
     
  5. mdaniela

    mdaniela Thread Starter MacUser Mitglied

    Beiträge:
    16
    Zustimmungen:
    0
    Registriert seit:
    03.03.2006
    mhhh ... wollt soeben x11 installieren (von der apple hp), doch leider ist dies nicht möglich, da bereits eine neuere software vorhanden ist! :(
     
  6. oneOeight

    oneOeight MacUser Mitglied

    Beiträge:
    46.802
    Zustimmungen:
    3.631
    Registriert seit:
    23.11.2004
    du musst die version von der install dvd nehmen...
    die auf der apple homepage ist nur die für 10.3, frag mich warum die das nicht GROß dran schreiben...
     
  7. mdaniela

    mdaniela Thread Starter MacUser Mitglied

    Beiträge:
    16
    Zustimmungen:
    0
    Registriert seit:
    03.03.2006
    ach mensch ... hab ich komplett übersehen. hab nun X11 von der CD installiert - funktioniert! somit lässt sich auch gtkglext von gnome installieren! :) ich hoffe, dass nun auch die restlichen packages von gnome installieren lassen.

    vielen dank für deine hilfe oneOeight!
     
Die Seite wird geladen...

Diese Seite empfehlen